tracker-index(1)

NAME
tracker-index - List, pause, resume and command data miners indexing content

SYNOPSIS
tracker index --reindex-mime-type <mime1> [[-m [mime2]] ...]
tracker index --file <file1> [[file2] ...]
tracker index --import <file1> [[file2] ...]
tracker index --backup <file> | --restore <file>

DESCRIPTION
This command perform actions on the current index. The "index" holds a snapshot of the working tree in a database.

The index command allows some level of control on existing data indexed, such as re-indexing content from a specific demographic - e.g. all JPEG images, or simply reindexing an existing or non-existent file.

It may be a good idea to backup your index before an upgrade in case there is data loss (which should never happen). In those cases, the backup command is made available and of course the restore command will import an older data set (or index) into an empty index.

Finally, there is an import feature which makes testing or applying a "base" data set for use much easier.

OPTIONS

-m, --reindex-mime-type=<mime1> [[-m [mime2]] ...]
    Re-index files which match the mime type supplied. This is usually used when installing new extractors which support mime types previously unsupported. This forces Tracker to re-index those files. You can use --reindex-mime-type more than once per mime type.

-f, --index=<file1> [[file2] ...]
    (Re)index a file matching the file name(s) supplied.

-b, --backup=<file>
    Begins backing up the Tracker databases and save it to the file given.

-o, --restore=<file>
    Begins restoring a previous backup from the file which points to the location of the backup generated by --backup.

i, --import=<file1> [[file2] ...]
    Allows data to be imported into the index / database by providing files with Turtle content.

    Multiple file arguments can be provided to import data from multiple files.

    The file argument can be either a local path or a URI. It also does not have to be an absolute path.

SEE ALSO
tracker(1). Turtle.